scrub-obsolete Package - smstools

Ready changes

Merge these changes:

git pull https://janitor.debian.net/git/smstools scrub-obsolete/main

Diff

diff --git a/debian/changelog b/debian/changelog
index d51cad6..1a329d9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+smstools (3.1.21-5) UNRELEASED; urgency=medium
+
+  * Remove constraints unnecessary since stretch:
+    + smstools: Drop versioned constraint on debconf, ucf in Depends.
+
+ -- Debian Janitor <janitor@jelmer.uk>  Mon, 28 Dec 2020 17:16:15 -0000
+
 smstools (3.1.21-4) unstable; urgency=medium
 
   * take care of gcc10 errors (Closes: #957818)
diff --git a/debian/control b/debian/control
index 15fe7f3..4a1d107 100644
--- a/debian/control
+++ b/debian/control
@@ -14,8 +14,8 @@ Standards-Version: 4.5.0
 
 Package: smstools
 Architecture: any
-Depends: debconf (>= 1.4.69)
-	, ucf (>= 0.28)
+Depends: debconf
+	, ucf
 	, adduser
 	, ${shlibs:Depends}
 	, ${misc:Depends}

Run locally

Try this locally (using the lintian-brush package):

debcheckout smstools
cd smstools
deb-scrub-obsolete

More details

Full run details